Bug 916611 - rotate action from initscript is no longer supported
Summary: rotate action from initscript is no longer supported
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: audit
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: beta
: 7.0
Assignee: Steve Grubb
QA Contact: Ondrej Moriš
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-28 13:25 UTC by Ondrej Moriš
Modified: 2014-06-13 12:12 UTC (History)
1 user (show)

Fixed In Version: audit-2.3-1
Doc Type: Bug Fix
Doc Text:
Clone Of: 830780
Environment:
Last Closed: 2014-06-13 12:12:06 UTC


Attachments (Terms of Use)

Comment 2 Steve Grubb 2013-03-15 20:59:53 UTC
That's good to know...will it be sent by systemctl itself so that the sender's auid is associated with the signal? And does systemd pass any parameters like the pid it thinks is auditd?

Comment 3 Bill Nottingham 2013-03-15 21:25:08 UTC
No, it's done outside of systemctl by /sbin/service itself.

Comment 4 Steve Grubb 2013-04-17 12:49:56 UTC
Fixed in upstream commit 777.

Comment 5 Ondrej Moriš 2013-08-24 09:39:01 UTC
Successfully verified.

[root@pes-guest-70 ~]# ls /var/log/audit/
audit.log
[root@pes-guest-70 ~]# service auditd rotate
Rotating logs: [  OK  ]
[root@pes-guest-70 ~]# ls /var/log/audit/
audit.log  audit.log.1
[root@pes-guest-70 ~]# cat /var/log/audit/audit.log
type=DAEMON_ROTATE msg=audit(1377334380.689:3780): auditd sending auid=0 pid=18365 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023
[root@pes-guest-70 ~]# rpm -q audit
audit-2.3.2-1.el7.x86_64

Comment 6 Ludek Smid 2014-06-13 12:12:06 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.